# OgreErrorDialog.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef void(* | DLL_CREATEERRORDIALOG )(ErrorDialog **ppDlg)
| Defines the interface a platform-specific library must implement.

## Typedef Documentation

typedef void(* Ogre::DLL_CREATEERRORDIALOG)(ErrorDialog **ppDlg)

Defines the interface a platform-specific library must implement.

Remarks:
  Any library (.dll, .so) wishing to implement a platform-specific version of this dialog must export the symbol 'createErrorDialog' with the signature void createPlatformErrorDialog(ErrorDialog** ppDlg)

Definition at line 59 of file OgreErrorDialog.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006